Bug 970068 - Switching between multiple profiles wrongly update the barrier mount option for brick.
Switching between multiple profiles wrongly update the barrier mount option f...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: storage-server-tools (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 08:07 EDT by Neependra Khare
Modified: 2015-12-03 12:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:23:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neependra Khare 2013-06-03 08:07:59 EDT
Description of problem:
Switching between multiple profiles wrongly update the barrier mount option for brick.

Version-Release number of selected component (if applicable):
appliance-base-1.7.1-1.el6rhs.noarch

How reproducible:


Steps to Reproduce:
1. Create the volume 
2. Apply rhs-high-throughput and default tuned profile one after another multiple times 
$ tuned-adm profile rhs-high-throughput
$ tuned-adm profile default
$ tuned-adm profile rhs-high-throughput
$ tuned-adm profile default


Actual results:
Brick mount option has multiple entries for barrier, nobarrier like following:
/dev/mapper/test-brick on /brick/gluster type xfs (rw,noatime,inode64,barrier,nobarrier,barrier,nobarrier)

Expected results:
Brick mount option should just barrier entry according to the last applied profile.

Additional info:
Comment 2 Ben England 2013-06-19 22:04:36 EDT
Does /proc/mounts should the same behavior?  

I think we should try to eliminate write barrier disabling from tuned profiles for RHS if we can establish that it doesn't hurt performance for MegaRAID at least.   For small-file tests I could not detect any change in performance with barriers enabled, but I haven't tested large-file case yet.  If we can do this, then we don't have to care about this bug anymore.  Let's shoot for this in Corbett release.
Comment 3 Bala.FA 2013-08-19 01:52:46 EDT
Setting NEEDINFO till I get fix from Ben/Neependra
Comment 4 Ben England 2014-04-25 08:15:05 EDT
This should be fixed now because we no longer set barrier mount option in tuned profiles.  Should be easy for QE to verify fix on RHS 3.0.
Comment 6 Vivek Agarwal 2015-12-03 12:23:14 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.